Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.0   

Description

In other settings pages, if there are tabular settings, they are encased in a <div class="tabular settings"> rather than adding the

classes fdirectly to the fieldset (e.g. in _authorization.html.erb). This patch adjusts the generated HTML accordingly.

It also removes some special CSS rules for these setting pages which were introduced in r13600. I'm actually not really sure why

these rules are there. In a default Redmine, they only move things slightly around in an inconsistent way. With custom themes, these

rules have the possibility to mess things up.

In any case, I think those rules can just be removed outright:

splitcontentleft / splitcontentright is not used on this partial at all

the fieldset and labels should be rendered the same way as on all other pages instead of slightly different paddings / margins.

there is no tag with a principal id there

Associated revisions

Revision 21743 - 2022-07-28 05:04 - Go MAEDA

Normalize HTML in settings/_users, and remove broken CSS left over from the old times (#37507).

Patch by Holger Just.

History

#1 - 2022-07-28 03:31 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#2 - 2022-07-28 05:05 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix. Thank you.

#3 - 2023-10-30 10:36 - Go MAEDA

- Subject changed from Normalize HTML in app/views/setttings/_users.html.erb to Normalize HTML in app/views/settings/_users.html.erb

Files
